// STAR-CCM+ macro: outputReports.java
// Written by STAR-CCM+ 10.02.010
package macro;

import java.util.*;
import java.io.*;
import star.common.*;
import star.base.report.*;

public class WriteReportsFile extends StarMacro {

  public void execute() {
    execute0();
  }

  private void execute0() {

    Simulation simulation_0 = 
      getActiveSimulation();
    
    String outputfile = "output.txt";

    try {
        simulation_0.println("Writing report values to file " + resolvePath(outputfile));

        PrintWriter out = new PrintWriter(new FileWriter(new File(resolvePath(outputfile))));

        for (Report report : simulation_0.getReportManager().getObjects()) {
              String reportName = report.getPresentationName();
              double reportValue = report.getReportMonitorValue();
              String reportUnits = report.getUnits().getPresentationName();
             
              // Uncomment the line below if you want the report name and value to print to file
              //out.println(reportName + " = " + reportValue + " " + reportUnits);
              
              // Uncomment the line below if you want just the report value to print to file
              out.println(reportValue);
        }

        out.close();
    } catch (IOException ex) {
        simulation_0.println(ex);
    }
  }
}
